# Asterisk Project : Asterisk 13 Application_Monitor

Created by wikibot on Aug 08, 2014

# Monitor()

### Synopsis

Monitor a channel.

### Description

Used to start monitoring a channel. The channel's input and output voice packets are logged to files until the channel hangs up or monitoring is stopped by the StopMonitor application.

By default, files are stored to `/var/spool/asterisk/monitor/`. Returns `-1` if monitor files can't be opened or if the channel is already monitored, otherwise `0`.

### Syntax

    Monitor(file_format:[urlbase],[fname_base,[options]]])

##### Arguments

- `file_format`
  - `file_format` - optional, if not set, defaults to `wav`
  - `urlbase`
- `fname_base` - if set, changes the filename used to the one specified.
- `options`
  - `m` - when the recording ends mix the two leg files into one and delete the two leg files. If the variable `MONITOR_EXEC` is set, the application referenced in it will be executed instead of soxmix/sox and the raw leg files will NOT be deleted automatically. soxmix/sox or `MONITOR_EXEC` is handed 3 arguments, the two leg files and a target mixed file name which is the same as the leg file names only without the in/out designator.
    If `MONITOR_EXEC_ARGS` is set, the contents will be passed on as additional arguments to `MONITOR_EXEC`. Both `MONITOR_EXEC` and the Mix flag can be set from the administrator interface.
  - `b` - Don't begin recording unless a call is bridged to another channel.
  - `B` - Play a periodic beep while this call is being recorded.
    - `interval` - Interval, in seconds. Default is 15.
  - `i` - Skip recording of input stream (disables `m` option).
  - `o` - Skip recording of output stream (disables `m` option).

### See Also

- Asterisk 13 Application_StopMonitor

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538